#access to online dataset
breast <- read.table(file="http://eric.univ-lyon2.fr/~ricco/test/breast.txt",sep="\t",header=T)
n <- nrow(breast)

#decision tree package
library(rpart)

#initalize the counter
tmp <- proc.time()

#generating a list of classifiers (classification trees)
arbres <- list()
for (i in 1:1000){
  #index of the individuals for one sample
  obs <- sample(1:n,n,replace=T)
  #tree learned from this sample
  one_tree <- rpart(classe ~ ., data = breast[obs,])
  #storing the tree
  arbres[[i]] <- one_tree
}

#control display
print(length(arbres))

#calculate the computing time
print(proc.time() - tmp)