#load the dataset
#from the "dataset" package
#https://stat.ethz.ch/R-manual/R-devel/library/datasets/html/00Index.html
data(iris)

#descriptive statistics
print(summary(iris))

#scatterplots
#points are colored according to the species (class membership)
pairs(iris[1:4], main = "Iris",pch = 21, bg = c("red", "green3", "blue")[unclass(iris$Species)])

#linear discriminant analysis (LDA)
library(MASS)
modele <- lda(Species ~ ., data = iris)

#displaying the classifier
print(modele)

#klaR library
library(klaR)

#attribute selection
sel <- greedy.wilks(Species ~ ., data = iris, niveau = 0.01)
print(sel$formula)

#LDA on the selected attributes
modele.sel <- lda(sel$formula, data = iris)
print(modele.sel)